TrollInstaller2 facilita la instalación de TrollStore en dispositivos arm64e con iOS 14.0-15.5 beta 4

El desarrollador de TrollStore, Opa334, ha lanzado otro obsequio para los posibles usuarios este jueves por la noche en forma de TrollInstaller2.

Anunciado a través de Twitter El jueves por la noche, TrollInstaller2 es una versión revisada del TrollInstaller original que admite todas las versiones de iOS y iPadOS, desde la 14.0 a la 15.4.1 (o 15.5 betas 1 a 4). Comparativamente, el TrollInstaller original solo admitía versiones de iOS y iPadOS que van desde 15.0 a 15.1.1.

citando el TrollInstaller 2 página de GitHub , aunque el proyecto es compatible con las versiones 14.0-15.4.1 de iOS y iPadOS (y 15.5 betas 1 a 4), actualmente solo funciona en dispositivos equipados con chips A12-A15 (arm64e). El proceso de instalación requiere una Mac y el usuario debe tener acceso a THEOS y al SDK de iOS 14.5.

La página de GitHub continúa enumerando los siguientes requisitos y pasos:

Compilación de IPA pwned (actualmente requiere una Mac) (Necesita THEOS y 14.5 sdk instalado)

1) Obtenga una IPA de “desarrollador de Apple” (esta aplicación: https://apps.apple.com/de/app/apple-developer/id640199958 (lo siento, enlace en alemán, pero entiende la idea)), puede hacerlo usando Apple Configurator (instálelo dos veces en su dispositivo y cuando le dé el error que ya existe, copie el IPA de ~/Library/Group Containers/<some_uuid>.group.com.apple.configurator/Library/Caches/Assets/TemporaryItems/MobileApps a otro lugar y luego cancele la instalación).

2) Póngalo en _compile/target/Developer.ipa

3) Tome pwnify_compiled del repositorio Fugu14 ( https://github.com/LinusHenze/Fugu14/blob/master/tools/pwnify_compiled ), fírmelo usando codiseño ( codesign -s - <path/to/pwnify_compiled> ) y ponerlo en _compile/pwnify_compiled

4) ¡Asegúrese de tener Procursus ldid instalado y agregado a su ruta! ( https://github.com/ProcursusTeam/ldid )

5) cd en _compilar y ejecutar ./build_trollinstaller2.sh ( chmod +x ./build_trollinstaller2.sh si obtiene un error de permiso)

6) Espere un poco, cuando termine, habrá un DeveloperInstaller.ipa en _compilar/salir

Vale la pena señalar que este es el primer proyecto oficial de Opa334 que admite instalaciones de TrollStore en cualquier firmware más nuevo que iOS y iPadOS 15.1.1. Si bien los usuarios originalmente podían usar el método SSH Ramdisk para instalar un firmware más nuevo, TrollInstaller2 es más fácil de usar y facilitará la actualización a versiones más nuevas de TrollStore para los usuarios finales a largo plazo.

Para aquellos que aún no lo saben, TrollStore es una aplicación encarcelada que puede firmar de forma permanente prácticamente cualquier archivo .ipa. Este proceso es comparable a la instalación de prueba, excepto que los usuarios no tendrán que volver a firmar las aplicaciones que instalan debido a que tienen una firma permanente.

El desarrollador opa334 anuncia continuamente nuevas actualizaciones a través de Twitter pero iDB continuará manteniendo informados a nuestros lectores sobre los últimos desarrollos a medida que ocurren, ¡así que asegúrese de estar atento!

Related Posts